* {
    margin: 0;
    padding: 0;
}
.cabecalho { 
  background-color: #e860a2; 
  padding: 15px 25px; 
  display: flex; 
  justify-content: space-between; 
  align-items: center; 
} 

.cartao {
    width: 260px;
    height: 200px;
}

.cartao-imagem {
    width: 100%;
}
body { 
  display: flex; 
  flex-direction: column; 
  min-height: 100vh; 
  background-color: #f5f2f2; 
} 
main { 
  flex: 1; 
} 
.cabecalho-link {
    color: #fff;
    text-decoration: none;
}
h1 { 
  color: #fff; 
  font-size: 24px; 
} 
footer { 
  background-color: #e872b3; 
  padding: 10px 20px; 
  color: #fff; 
} 

.cartao-interno {
    position: relative;
    transition: transform 0.8s;
    transform-style: preserve-3d;
}

.cartao:hover .cartao-interno {
    transform: rotateY(180deg);
}

.cartao-frente, .cartao-verso {
    position: absolute;
    border-radius: 12px;
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
    backface-visibility: hidden;
}

.cartao-verso {
    transform: rotateY(180deg);
}

section {
    display: flex;
    gap: 16px;
}